package com.siwei.rsmonitoring.mapper;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDictData;

/**
 * 字段数据（树结构）Mapper接口
 * 
 * @author siwei
 * @date 2025-02-27
 */
public interface TDictDataMapper 
{
    /**
     * 查询字段数据（树结构）
     * 
     * @param dictCode 字段数据（树结构）主键
     * @return 字段数据（树结构）
     */
    public TDictData selectTDictDataByDictCode(Long dictCode);

    /**
     * 查询字段数据（树结构）列表
     * 
     * @param tDictData 字段数据（树结构）
     * @return 字段数据（树结构）集合
     */
    public List<TDictData> selectTDictDataList(TDictData tDictData);

    /**
     * 新增字段数据（树结构）
     * 
     * @param tDictData 字段数据（树结构）
     * @return 结果
     */
    public int insertTDictData(TDictData tDictData);

    /**
     * 修改字段数据（树结构）
     * 
     * @param tDictData 字段数据（树结构）
     * @return 结果
     */
    public int updateTDictData(TDictData tDictData);

    /**
     * 删除字段数据（树结构）
     * 
     * @param dictCode 字段数据（树结构）主键
     * @return 结果
     */
    public int deleteTDictDataByDictCode(Long dictCode);

    /**
     * 批量删除字段数据（树结构）
     * 
     * @param dictCodes 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDictDataByDictCodes(Long[] dictCodes);
}
